package de.mdelab.mlsdm.interpreter.debug.ui;

import de.mdelab.mlcore.MLElementWithUUID;
import de.mdelab.mlsdm.Activity;
import de.mdelab.sdm.interpreter.code.debug.ui.SDDebugTarget;
import de.mdelab.sdm.interpreter.code.debug.ui.SDDebugThread;
import de.mdelab.sdm.interpreter.code.debug.ui.SDDebugUiStackFrame;
import de.mdelab.sdm.interpreter.core.debug.client.SDDebugClient;
import de.mdelab.sdm.interpreter.core.debug.client.stack.DebugClientStackFrame;

public class MLSDMDebugThread extends SDDebugThread<MLElementWithUUID, Activity>
{

	public MLSDMDebugThread(final SDDebugTarget<MLElementWithUUID, Activity> target,
			final SDDebugClient<MLElementWithUUID, Activity> debugClient)
	{
		super(target, debugClient);
	}

	@Override
	protected SDDebugUiStackFrame<MLElementWithUUID> createSDDebugUiStackFrame(
			final SDDebugTarget<MLElementWithUUID, Activity> sdDebugTarget, final SDDebugThread<MLElementWithUUID, Activity> sdDebugThread,
			final DebugClientStackFrame<MLElementWithUUID> stackFrame)
	{
		return new MLSDMDebugUiStackFrame(sdDebugTarget, sdDebugThread, stackFrame);
	}

}
