package de.mdelab.mlsdm.interpreter.debug.ui;

import org.eclipse.debug.core.ILaunch;
import org.eclipse.debug.core.model.ISourceLocator;
import org.eclipse.debug.core.model.IStackFrame;

import de.mdelab.sdm.interpreter.code.debug.ui.SDRunTarget;

public class MLSDMRunTarget extends SDRunTarget {

	public MLSDMRunTarget( final ILaunch p_launch ) {
		super( p_launch );
	}

	@Override
	protected ISourceLocator createSDDebugSourceLocator() {
		return new ISourceLocator() {
			
			@Override
			public Object getSourceElement( final IStackFrame p_stackFrame ) {
				if ( p_stackFrame instanceof MLSDMDebugUiStackFrame) {
					return p_stackFrame;
				}
				
				return null;
			}
		};
	}
}
