package de.mdelab.mlsdm.interpreter.debug.ui.launcher;

import java.io.OutputStream;
import java.util.List;

import org.eclipse.core.runtime.IProgressMonitor;
import org.eclipse.emf.ecore.EClassifier;

import de.mdelab.mlsdm.Activity;
import de.mdelab.mlsdm.interpreter.debug.MLSDMInterpreterLauncher;
import de.mdelab.sdm.interpreter.code.debug.ui.launcher.SDServerThread;
import de.mdelab.sdm.interpreter.core.debug.SDEclipseInterpreterLauncher;
import de.mdelab.sdm.interpreter.core.variables.Variable;

public class MLSDMServerThread extends SDServerThread<Activity, EClassifier> {
	
	public MLSDMServerThread( 	final Activity p_activity,
								final List<Variable<EClassifier>> p_variableBindings,
								final Integer p_serverPort,
								final Integer p_resourceSetSynchronizerPort,
								final IProgressMonitor p_monitor,
								final OutputStream p_messageStream,
								final String p_outputModelUriStr,
								final boolean pb_logOutput,
								final String p_execTraceUriStr ) {
		super( p_activity, p_variableBindings, p_serverPort, p_resourceSetSynchronizerPort, p_monitor, p_messageStream, p_outputModelUriStr, pb_logOutput, p_execTraceUriStr );
	}

	@Override
	protected SDEclipseInterpreterLauncher<?, Activity, EClassifier> createLauncher() {
		return new MLSDMInterpreterLauncher();
	}
}
