package de.mdelab.mlsdm.interpreter.debug.ui.launcher.table;

import org.eclipse.emf.ecore.EClassifier;
import org.eclipse.emf.ecore.EObject;

import de.mdelab.mlsdm.ActivityParameter;
import de.mdelab.mlsdm.MlsdmFactory;
import de.mdelab.sdm.interpreter.code.debug.ui.launcher.table.SDTableActivityParameter;

public class MLSDMTableActivityParameter extends SDTableActivityParameter<ActivityParameter, EClassifier> {
	
	public MLSDMTableActivityParameter( 	final String p_name,
											final EClassifier p_type,
											final EObject p_instanceObject ) {
		super( p_name,  p_type, p_instanceObject );
	}

	@Override
	protected ActivityParameter createActivityParameter(	final String p_name,
															final EClassifier p_type ) {
		final ActivityParameter parameter = MlsdmFactory.eINSTANCE.createActivityParameter();
		parameter.setName( p_name );
		parameter.setType( p_type );
		
		return parameter;
	}

	@Override
	protected String getName() {
		return activityParameter == null ? null : activityParameter.getName();
	}

	@Override
	protected EClassifier getType() {
		return activityParameter == null ? null : activityParameter.getType();
	}
}
